<?php

// API routes  for emailtemp
Route::prefix('{guard}/emailtemp')->group(function () {
    Route::get('emailtemp/form/{element}', 'EmailtempAPIController@form');
    Route::resource('emailtemp', 'EmailtempAPIController');
});

// Public routes for emailtemp
Route::get('emailtemps/', 'EmailtempPublicController@index');
Route::get('emailtemps/{slug?}', 'EmailtempPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for emailtemps
            Route::prefix('{guard}/emailtemp')->group(function () {
                Route::get('emailtemp/form/{element}', 'EmailtempAPIController@form');
                Route::apiResource('emailtemp', 'EmailtempAPIController');
            });
            // Public routes for emailtemps
            Route::get('emailtemp/Emailtemp', 'EmailtempPublicController@getEmailtemp');
        }
    );
}

