            @include('emailtemp::emailtemp.partial.header')

            <section class="single">
                <div class="container">
                    <div class="row">
                        <div class="col-md-3">
                            @include('emailtemp::emailtemp.partial.aside')
                        </div>
                        <div class="col-md-9 ">
                            <div class="area">
                                <div class="item">
                                    <div class="feature">
                                        <img class="img-responsive center-block" src="{!!url($emailtemp->defaultImage('images' , 'xl'))!!}" alt="{{$emailtemp->title}}">
                                    </div>
                                    <div class="content">
                                        <div class="row">
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="id">
                    {!! trans('emailtemp::emailtemp.label.id') !!}
                </label><br />
                    {!! $emailtemp['id'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="company_id">
                    {!! trans('emailtemp::emailtemp.label.company_id') !!}
                </label><br />
                    {!! $emailtemp['company_id'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="email_type">
                    {!! trans('emailtemp::emailtemp.label.email_type') !!}
                </label><br />
                    {!! $emailtemp['email_type'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="status">
                    {!! trans('emailtemp::emailtemp.label.status') !!}
                </label><br />
                    {!! $emailtemp['status'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="template_type">
                    {!! trans('emailtemp::emailtemp.label.template_type') !!}
                </label><br />
                    {!! $emailtemp['template_type'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="subject">
                    {!! trans('emailtemp::emailtemp.label.subject') !!}
                </label><br />
                    {!! $emailtemp['subject'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="heading_1">
                    {!! trans('emailtemp::emailtemp.label.heading_1') !!}
                </label><br />
                    {!! $emailtemp['heading_1'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="content">
                    {!! trans('emailtemp::emailtemp.label.content') !!}
                </label><br />
                    {!! $emailtemp['content'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="discliamer">
                    {!! trans('emailtemp::emailtemp.label.discliamer') !!}
                </label><br />
                    {!! $emailtemp['discliamer'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="footer">
                    {!! trans('emailtemp::emailtemp.label.footer') !!}
                </label><br />
                    {!! $emailtemp['footer'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="user_id">
                    {!! trans('emailtemp::emailtemp.label.user_id') !!}
                </label><br />
                    {!! $emailtemp['user_id'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="user_type">
                    {!! trans('emailtemp::emailtemp.label.user_type') !!}
                </label><br />
                    {!! $emailtemp['user_type'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="created_at">
                    {!! trans('emailtemp::emailtemp.label.created_at') !!}
                </label><br />
                    {!! $emailtemp['created_at'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for=")">
                    {!! trans('emailtemp::emailtemp.label.)') !!}
                </label><br />
                    {!! $emailtemp[')'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="updated_at">
                    {!! trans('emailtemp::emailtemp.label.updated_at') !!}
                </label><br />
                    {!! $emailtemp['updated_at'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="deleted_at">
                    {!! trans('emailtemp::emailtemp.label.deleted_at') !!}
                </label><br />
                    {!! $emailtemp['deleted_at'] !!}
            </div>
        </div>
    </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::numeric('company_id')
                       -> label(trans('emailtemp::emailtemp.label.company_id'))
                       -> placeholder(trans('emailtemp::emailtemp.placeholder.company_id'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::numeric('email_type')
                       -> label(trans('emailtemp::emailtemp.label.email_type'))
                       -> placeholder(trans('emailtemp::emailtemp.placeholder.email_type'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('template_type')
                       -> label(trans('emailtemp::emailtemp.label.template_type'))
                       -> placeholder(trans('emailtemp::emailtemp.placeholder.template_type'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('subject')
                       -> label(trans('emailtemp::emailtemp.label.subject'))
                       -> placeholder(trans('emailtemp::emailtemp.placeholder.subject'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('heading_1')
                       -> label(trans('emailtemp::emailtemp.label.heading_1'))
                       -> placeholder(trans('emailtemp::emailtemp.placeholder.heading_1'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('content')
                       -> label(trans('emailtemp::emailtemp.label.content'))
                       -> placeholder(trans('emailtemp::emailtemp.placeholder.content'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('discliamer')
                       -> label(trans('emailtemp::emailtemp.label.discliamer'))
                       -> placeholder(trans('emailtemp::emailtemp.placeholder.discliamer'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('footer')
                       -> label(trans('emailtemp::emailtemp.label.footer'))
                       -> placeholder(trans('emailtemp::emailtemp.placeholder.footer'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::package::package.formcontrols.ON(')')
                       -> label(trans('emailtemp::emailtemp.label.)'))
                       -> placeholder(trans('emailtemp::emailtemp.placeholder.)'))!!}
                </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </section>



